API Reference
Billing
Domains
Emails
Log drains
Suppressions
Tracking
List an email's tracked links
GET
/v1/emails/{id}/links
The links COSS rewrote for click tracking, in the order they appear in the HTML, with their click counts. Empty unless the email was sent with click tracking.
bearerAuthheader
AuthorizationBearer <token>A secret API key from the dashboard: coss_live_… for production environments, coss_test_… for sandbox environments.
id*stringThe email's id.
Coss-Version?"2026-10-10"The API version (a date) to use for this request. Defaults to your organization's version, pinned to the latest one when it first used the API and upgraded from the dashboard. The SDK always sends the version it was built for.
Value in
"2026-10-10"The email's tracked links.
application/json- response
- response
- …
object*"list"Value in
"list"data*array<>has_more*booleanimport { Coss } from "coss";const coss = new Coss({ apiKey: process.env.COSS_API_KEY, baseUrl: "https://api.coss.com",});const { data, error } = await coss.email.listLinks("email_01k7c8m4q2f3e9v6t5r1n0p8yz");{ "object": "list", "data": [ { "object": "email_link", "id": "lnk_01k7c8m4q2f3e9v6t5r1n0p8yz", "email_id": "email_01k7c8m4q2f3e9v6t5r1n0p8yz", "position": 0, "url": "https://acme.com/start", "click_count": 0, "first_clicked_at": null, "last_clicked_at": null } ], "has_more": false}